{**
 * Overrides default one page checkout with Flash Checkout
 *
 * Flash Checkout by Kahanit(https://www.kahanit.com/) is licensed under a
 * Creative Creative Commons Attribution-NoDerivatives 4.0 International License.
 * Based on a work at https://www.kahanit.com/.
 * Permissions beyond the scope of this license may be available at https://www.kahanit.com/.
 * To view a copy of this license, visit http://creativecommons.org/licenses/by-nd/4.0/.
 *
 * @author    Amit Sidhpura <amit@kahanit.com>
 * @copyright 2015 Kahanit
 * @license   http://creativecommons.org/licenses/by-nd/4.0/
 * @version   1.0.1.0
 *}
{capture name=path}{l s='Checkout' mod='flashcheckout'}{/capture}
<h1 class="page-heading">{l s='Checkout' mod='flashcheckout'}</h1>
<div id="flashcheckout">
    <div class="row">
        <div class="col-md-12">
            {include file="./summary/summary-panel.tpl"}
        </div>
    </div>
    <div class="row">
        <div class="left col-md-4">
            {include file="./account/account-panel.tpl"}
        </div>
        <div class="left col-md-4">
            {include file="./delivery/delivery-panel.tpl"}
        </div>
        <div class="left col-md-4">
            {include file="./payment/payment-panel.tpl"}
        </div>
    </div>
    <div id="flashcheckout-loading">
        <div class="sk-loader">
            <div class="rect1"></div>
            <div class="rect2"></div>
            <div class="rect3"></div>
            <div class="rect4"></div>
            <div class="rect5"></div>
        </div>
    </div>
</div>