{**
 * Overrides default one page checkout with Flash Checkout
 *
 * Flash Checkout by Kahanit(https://www.kahanit.com/) is licensed under a
 * Creative Creative Commons Attribution-NoDerivatives 4.0 International License.
 * Based on a work at https://www.kahanit.com/.
 * Permissions beyond the scope of this license may be available at https://www.kahanit.com/.
 * To view a copy of this license, visit http://creativecommons.org/licenses/by-nd/4.0/.
 *
 * @author    Amit Sidhpura <amit@kahanit.com>
 * @copyright 2015 Kahanit
 * @license   http://creativecommons.org/licenses/by-nd/4.0/
 * @version   1.0.1.0
 *}
<div id="flashcheckout-summary" class="panel panel-default">
    <div class="panel-heading">
        <i class="glyphicon glyphicon-shopping-cart"></i>
        <span>{l s='Shopping Cart Summary' mod='flashcheckout'}</span>
    </div>
    {if count($products) > 0}
        {include file="./cart.tpl"}
    {else}
        <p class="alert alert-warning">{l s='Your shopping cart is empty.' mod='flashcheckout'}</p>
    {/if}
</div>